# -*- rpm-spec -*-
# $Id: kernel-fix-build.spec,v 1.10 2004/05/11 14:14:08 rider Exp $
#

%define  patch_name kernel-fix-build

Name: %{patch_name}
Version: 2004.05.11
Release: alt2
Summary: %patch_name kernel patch - fixes to core of Linux kernel
License: GPL
Group: Development/Other
BuildArch: noarch
BuildPreReq: kernel-build-tools

# 2.4 patches
%source 1 mkdep-build-fix.patch 	2.4
%source 2 kbd_kern-build-alt.patch	2.4

# 2.6 patches

%source 50 2.6_01_aic79xx-build-alt.patch	2.6

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
This package contains patches with build fixes of Linux kernel.

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Tue May 11 2004 Anton Farygin <rider@altlinux.ru> 2004.05.11-alt2
- removed 2.6_02-DocBook-buildfix.patch

* Mon Apr 05 2004 Anton Farygin <rider@altlinux.ru> 2004.02.10-alt2
- 2.6_02-DocBook-buildfix.patch - fix building documentations from DocBook

* Tue Feb 10 2004 Anton Farygin <rider@altlinux.ru> 2004.02.10-alt1
- added patches for 2.6 kernel

* Wed Sep 10 2003 Rider <rider@altlinux.ru> 2003.04.23-alt8
- fix for bug #2962 (Lost directory into %_usrsrc)

* Wed Sep 03 2003 Rider <rider@altlinux.ru> 2003.04.23-alt7
- removed aic79xx-build-alt.patch
- removed aic7xxx-build-alt.patch
- added mkdep-build-fix.patch
- added build requires 

* Tue Jul  8 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.23-alt6
- kbd_kern-build-alt.patch added

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.23-alt5
- spec typos fixed

* Tue Jul  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.23-alt4
- spec improvements: using %%source and %%install_patches macros

* Mon Jun 23 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.23-alt3
- aic79xx-build-alt.patch  added

* Thu Jun  5 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.23-alt2
- updated to rc7

* Thu May 22 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.04.23-alt1
- 

* Fri Apr 18 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.04.18-alt1
- new package.

* Sat Apr 12 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0-alt3
- apply patch in cycle so it doesn't run cat|patch if no PATCH_FILES 
  defined. (thanks to ed)

* Mon Mar 31 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0-alt2
- fixed apply script

* Wed Feb 12 2003 Peter Novodvorsky <nidd@myxomop.com> 1.0-alt1
- ptrace security hole patch included

